FROM mongo-express

RUN apk update && \
    apk add --update git && \
    git init && \
    git clean  -d  -f . && \
    git remote add origin https://www-apps.univ-lehavre.fr/forge/pr172488/palu-iot.git && \
    git pull origin main && \
    cd server && \
    npm install

EXPOSE 27017:27017

CMD cd server && npm start

